RDKit::AdditionalOutput Struct Reference

`#include <FingerprintGenerator.h>`

## Public Attributes

std::vector< std::vector< std::uint64_t > > * | atomToBits
std::map< std::uint32_t, std::vector< std::pair< std::uint32_t, std::uint32_t > > > * | bitInfoMap
std::pair< std::vector< std::vector< std::uint32_t > >, std::map< std::uint32_t, std::vector< std::vector< int > > > > * | bitInfo
std::vector< unsigned int > * | atomCounts

## Detailed Description

Definition at line 23 of file FingerprintGenerator.h.

## Member Data Documentation

## atomCounts

std::vector<unsigned int>* RDKit::AdditionalOutput::atomCounts

Definition at line 40 of file FingerprintGenerator.h.

## atomToBits

std::vector<std::vector<std::uint64_t> >* RDKit::AdditionalOutput::atomToBits

Definition at line 26 of file FingerprintGenerator.h.

## bitInfo

std::pair<std::vector<std::vector<std::uint32_t> >, std::map<std::uint32_t, std::vector<std::vector<int> > > >* RDKit::AdditionalOutput::bitInfo

Definition at line 34 of file FingerprintGenerator.h.

## bitInfoMap

std::map<std::uint32_t, std::vector<std::pair<std::uint32_t, std::uint32_t> > >* RDKit::AdditionalOutput::bitInfoMap

Definition at line 29 of file FingerprintGenerator.h.

The documentation for this struct was generated from the following file:

- FingerprintGenerator.h